org.keycloak.admin.client.resource

## Class BearerAuthFilter

- java.lang.Object
- - org.keycloak.admin.client.resource.BearerAuthFilter

- All Implemented Interfaces:
    javax.ws.rs.client.ClientRequestFilter, javax.ws.rs.client.ClientResponseFilter

      public class BearerAuthFilter
      extends Object
      implements javax.ws.rs.client.ClientRequestFilter, javax.ws.rs.client.ClientResponseFilter

  Author:
    rodrigo.sasaki@icarros.com.br

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_HEADER_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BearerAuthFilter(String tokenString)`
    `BearerAuthFilter(TokenManager tokenManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filter(javax.ws.rs.client.ClientRequestContext requestContext)`
    `void` | `filter(javax.ws.rs.client.ClientRequestContext requestContext, javax.ws.rs.client.ClientResponseContext responseContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTH_HEADER_PREFIX

          public static final String AUTH_HEADER_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BearerAuthFilter

          public BearerAuthFilter(String tokenString)

    - #### BearerAuthFilter

          public BearerAuthFilter(TokenManager tokenManager)

  - ### Method Detail

    - #### filter

          public void filter(javax.ws.rs.client.ClientRequestContext requestContext)
                      throws IOException

      Specified by:
        `filter` in interface `javax.ws.rs.client.ClientRequestFilter`
      Throws:
        `IOException`

    - #### filter

          public void filter(javax.ws.rs.client.ClientRequestContext requestContext,
                             javax.ws.rs.client.ClientResponseContext responseContext)
                      throws IOException

      Specified by:
        `filter` in interface `javax.ws.rs.client.ClientResponseFilter`
      Throws:
        `IOException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.